Airwallex logo
Airwallex logoAirwallex logo

Settlements

Copy for LLMView as Markdown

Represents the set of endpoints you use to track and manage payment settlements that contribute to your Airwallex account balance. You can list settlements with optional filters, retrieve a settlements overview for a specific settlement by settlement batch unique identifier, and download batch settlement reports for reconciliation or record keeping.

Endpoints
GET /api/v1/pa/financial/settlements
GET /api/v1/pa/financial/settlements/{id}
GET /api/v1/pa/financial/settlements/{id}/report

Get list of settlements

GET /api/v1/pa/financial/settlements

Get list of settlements that contributed to the Airwallex account balance from a specified settled date, with optional filters on end settled date, currency and status.

Parameters
currencyrequiredstring

Currency of the settlement

from_settled_atrequiredstring

The start date of settled_at in ISO8601 format (inclusive)

statusrequiredstring

Status of the settlement, one of: PENDING, SETTLED

to_settled_atrequiredstring

The end date of settled_at in ISO8601 format (inclusive)

page_numinteger

Page number, starts from 0.

page_sizeinteger

Number of results per page, default is 100, max is 1000

Response body - 200 OK
has_moreboolean

A flag which identifies whether there are more results.

itemsarray

List items

items.amountnumber

Settlement amount Airwallex pays to the merchant

items.created_atstring

The time this settlement was created at

items.currencystring

Currency of the settlement

items.estimated_settled_atstring

The time when the settlement will be settled at

items.feenumber

Fee of the settlement

items.idstring

Batch unique identifier of the settlement

items.settled_atstring

The time this settlement was settled at

items.statusstring

One of PENDING, SETTLED

Errors
Error statusDescription
401

Unauthorized

403

Forbidden

404

Not Found

GET /api/v1/pa/financial/settlements
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/pa/financial/settlements' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "has_more": true,
3 "items": [
4 {
5 "amount": 99,
6 "created_at": "2019-11-21",
7 "currency": "CNY",
8 "estimated_settled_at": "2019-11-21",
9 "fee": 1,
10 "id": "bat_20190328_EUR_1",
11 "settled_at": "2019-11-21",
12 "status": "PENDING"
13 }
14 ]
15}
Was this section helpful?

Get a settlement by ID

GET /api/v1/pa/financial/settlements/{id}

Get a specific settlement detail by specifying the Airwallex settlement unique identifier.

Parameters
idrequiredstring

Batch unique identifier of transaction

Response body - 200 OK
amountnumber

Settlement amount Airwallex pays to the merchant

created_atstring

The time this settlement was created at

currencystring

Currency of the settlement

estimated_settled_atstring

The time when the settlement will be settled at

feenumber

Fee of the settlement

idstring

Batch unique identifier of the settlement

settled_atstring

The time this settlement was settled at

statusstring

One of PENDING, SETTLED

Errors
Error statusDescription
401

Unauthorized

403

Forbidden

404

Not Found

GET /api/v1/pa/financial/settlements/{id}
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/pa/financial/settlements/settlement_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "amount": 99,
3 "created_at": "2019-11-21",
4 "currency": "CNY",
5 "estimated_settled_at": "2019-11-21",
6 "fee": 1,
7 "id": "bat_20190328_EUR_1",
8 "settled_at": "2019-11-21",
9 "status": "PENDING"
10}
Was this section helpful?

Get a settlement report by ID

GET /api/v1/pa/financial/settlements/{id}/report

Get a single batch settlement report by specifying the Airwallex settlement batch unique identifier.

Parameters
idrequiredstring

Batch unique identifier of transaction

file_formatstring

File format of the requested report (Not applicable to version 1.0.0). Supported formats are csv and excel. Default format is excel.

versionstring

Version of the report: 1.0.0 (default) and 1.1.0 (recommended based on latest settlement report version )

Response body - 200 OK
created_atstring

The date and time this settlement report was created

idstring

Batch Id of the settlement

report_urlstring

The url of the report

Errors
Error statusDescription
400

Bad Request. Possible error codes: resource_not_found (invalid batch_id), validation_error (e.g. invalid version or report too large to generate).

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found

500

Server Error. Possible error codes: internal_error

GET /api/v1/pa/financial/settlements/{id}/report
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/pa/financial/settlements/settlement_id/report' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "created_at": "2019-11-15T20:00:48+0000",
3 "id": "bat_20190328_EUR_1",
4 "report_url": "https://www.airwallex.com"
5}
Was this section helpful?